%define upstream_name    Expect
%define upstream_version 1.32

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Expect for Perl
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Expect/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     %{name}-paths.patch

BuildRequires:  perl(IO::Tty) >= 1.02
BuildRequires:	perl(Test::Exception)
BuildArch:      noarch


%description
The Expect module is a successor of Comm.pl and a descendent of Chat.pl. It
more closely ressembles the Tcl Expect language than its predecessors. It does
not contain any of the networking code found in Comm.pl. I suspect this would
be obsolete anyway given the advent of IO::Socket and external tools such as
netcat.

Expect.pm is an attempt to have more of a switch() & case feeling to make
decision processing more fluid. Three separate types of debugging have been
implemented to make code production easier.

It is now possible to interconnect multiple file handles (and processes) much
like Tcl's Expect. An attempt was made to enable all the features of Tcl's
Expect without forcing Tcl on the victim programmer :-) .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0 -p1
perl -pi -e 's|/usr/local/bin/perl|%{__perl}|' examples/kibitz/kibitz

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes README.md examples tutorial
%{perl_vendorlib}/*.pm
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.320.0-4pclos2017
- rebuild against updates

